Skip to main content
`Ctrl`+`K`

# IS

Abstract PETSc object used for efficient indexing into vector and matrices

## Synopsis

    typedef struct _p_IS *IS;

## See Also

`ISType`, `ISCreateGeneral()`, `ISCreateBlock()`, `ISCreateStride()`, `ISGetIndices()`, `ISDestroy()`

## Level

beginner

## Location

include/petscistypes.h

## Examples

src/dm/label/tutorials/ex1.c
src/dm/tutorials/ex22.c
src/dm/impls/plex/tutorials/ex10.c
src/dm/field/tutorials/ex1.c
src/dm/tutorials/swarm_ex3.c
src/dm/tutorials/ex6.c
src/dm/tutorials/ex14.c
src/dm/impls/plex/tutorials/ex8.c
src/dm/impls/plex/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex1f90.F90

## Implementations

_p_IS in include/petsc/private/isimpl.h
IS_Block in src/vec/is/is/impls/block/block.c
IS_General in src/vec/is/is/impls/general/general.h
IS_Stride in src/vec/is/is/impls/stride/stride.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages